Bug 209587 - [MAINTAINER UPDATE]: sysutils/slurm-wlm: fix doc/plist issue
Summary: [MAINTAINER UPDATE]: sysutils/slurm-wlm: fix doc/plist issue
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-17 19:15 UTC by Joseph Mingrone
Modified: 2016-05-19 18:03 UTC (History)
1 user (show)

See Also:


Attachments
svn patch to fix docs/plist issue with sysutils/slurm-wlm (20.30 KB, patch)
2016-05-17 19:15 UTC, Joseph Mingrone
no flags Details | Diff
svn patch to fix docs/plist issue with sysutils/slurm-wlm (26.45 KB, patch)
2016-05-18 03:18 UTC, Joseph Mingrone
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Mingrone freebsd_committer 2016-05-17 19:15:25 UTC
Created attachment 170414 [details]
svn patch to fix docs/plist issue with sysutils/slurm-wlm

portlint: OK
testport: OK (poudriere: 9.3-RELEASE-p36,  i386,  default options w/ and w/o DOCS) [1]
testport: OK (poudriere: 9.3-RELEASE-p30,  amd64, default options w/ and w/o DOCS) [2]
testport: OK (poudriere: 10.1-RELEASE-p17, i386,  default options w/ and w/o DOCS) [3]
testport: OK (poudriere: 10.1-RELEASE-p17, amd64, default options w/ and w/o DOCS) [4]

If a user has textproc/man2html installed, slurm will install html versions of the man pages.  There is currently no autotools configure option to explicitly control whether these files are installed.  As a workaround, when the DOCS option is selected, add a BUILD_DEPENDS on textproc/man2html, so these files are always installed.  Also, while updating pkg-list for this change, remove the redundant %%DOCS%% from the file.

[1]
http://pkg.awarnach.mathstat.dal.ca/data/9i386-default/2016-05-17_15h48m43s/logs/slurm-wlm-15.08.11.log
http://pkg.awarnach.mathstat.dal.ca/data/9i386-default/2016-05-17_15h51m08s/logs/slurm-wlm-15.08.11.log

[2]
http://pkg.awarnach.mathstat.dal.ca/data/9amd64-default/2016-05-17_15h49m01s/logs/slurm-wlm-15.08.11.log
http://pkg.awarnach.mathstat.dal.ca/data/9amd64-default/2016-05-17_15h51m36s/logs/slurm-wlm-15.08.11.log

[3]
http://pkg.awarnach.mathstat.dal.ca/data/10i386-default/2016-05-17_15h49m19s/logs/slurm-wlm-15.08.11.log
http://pkg.awarnach.mathstat.dal.ca/data/10i386-default/2016-05-17_15h51m49s/logs/slurm-wlm-15.08.11.log

[4]
http://pkg.awarnach.mathstat.dal.ca/data/10amd64-default/2016-05-17_15h49m54s/logs/slurm-wlm-15.08.11.log
http://pkg.awarnach.mathstat.dal.ca/data/10amd64-default/2016-05-17_15h52m17s/logs/slurm-wlm-15.08.11.log
Comment 1 Kurt Jaeger freebsd_committer 2016-05-17 19:50:18 UTC
Can you work in the change for

@sample

for etc/slurm.conf.example ?

See

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/book.html#plist-keywords-sample

for details.
Comment 2 Joseph Mingrone freebsd_committer 2016-05-18 01:18:25 UTC
Oh yes.  Thanks for catching that.

I'm struggling to create the patch.  I'm doing

# svn move slurm.conf.example slurm.conf.sample
# svn status
D       slurm.conf.example
        > moved to slurm.conf.sample
A  +    slurm.conf.sample
        > moved from slurm.conf.example
# svn update
# svn diff > ~/$(make -VPKGNAME).diff

, but the diff file doesn't seem correct (see http://ftfl.ca/misc/slurm-wlm-15.08.11.diff).  When I apply the patch to a clean svn tree, it creates a blank slurm.conf.example and no slurm.conf.sample.

Should I just do a svn remove slurm.conf.example && svn add slurm.conf.sample?
Comment 3 Joseph Mingrone freebsd_committer 2016-05-18 03:18:14 UTC
Created attachment 170421 [details]
svn patch to fix docs/plist issue with sysutils/slurm-wlm

This second patch uses 

@sample etc/slurm.conf.sample

in pkg-plist for the sample configuration file.

Please let me know if there are problems with the diff and I'll redo it.
Comment 4 Kurt Jaeger freebsd_committer 2016-05-19 18:01:20 UTC
I've used

svn mv slurm.conf.example slurm.conf.sample

which covers this usecase.

Testbuilds done, look fine.
Comment 5 Kurt Jaeger freebsd_committer 2016-05-19 18:03:06 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2016-05-19 18:03:15 UTC
A commit references this bug:

Author: pi
Date: Thu May 19 18:02:49 UTC 2016
New revision: 415515
URL: https://svnweb.freebsd.org/changeset/ports/415515

Log:
  sysutils/slurm-wlm: fix doc/plist issue

  PR:		209587
  Submitted by:	Joseph Mingrone <jrm@ftfl.ca> (maintainer)

Changes:
  head/sysutils/slurm-wlm/Makefile
  head/sysutils/slurm-wlm/files/slurm.conf.example
  head/sysutils/slurm-wlm/files/slurm.conf.sample
  head/sysutils/slurm-wlm/pkg-descr
  head/sysutils/slurm-wlm/pkg-plist